import os
from utils.path_utils import get_project_path

# 项目根目录
project_root = get_project_path()

# 配置文件路径
config_dir = os.path.join(project_root, "configs")
config_spiders_path = os.path.join(config_dir, "spiders_config.yaml")

# 日志路径（根路径 + log_store）
log_dir = os.path.join(project_root, "log_store")

# 模型路径（如有）
model_dir = os.path.join(project_root, "models")

# 临时文件、缓存目录
tmp_dir = os.path.join(project_root, "tmp")

# 其他路径可按需添加
# db_config_path = os.path.join(config_dir, "db.yaml")

# 导出路径变量
__all__ = [
    "project_root",
    "config_dir",
    "config_spiders_path",
    "log_dir",
    "model_dir",
    "tmp_dir",
]
